#### Description:

Adds the definition of a new global parameter to the supplied table. Note, this does not store a value for the parameter. To get or set the parameter value, the methods of the paremt KeyMap class should be used, using the name of the parameter as the key.

#### Synopsis

void astAddParameter( AstTable ∗this, const char ∗name )

#### Parameters:

##### this

Pointer to the Table.

##### name

The parameter name. Trailing spaces are ignored (all other spaces are significant). The supplied string is converted to upper case.

#### Notes:

- Unlike columns, the definition of a parameter does not specify its type, size or dimensionality.

Copyright (C) 2021 East Asian Observatory